载入中...

关于WordPress 插件、主题与PHP 8的兼容性

Partner 站长学院 2021-02-12 热度 881℃ 收藏 本文共1993个字,预计阅读时间需要5分钟。

PHP8 于2020年11月26日发布,WordPress核心撰稿人乔纳森·德罗西耶斯(Jonathan Desrosiers)在《使WordPress核心》博客上发表了一篇关于PHP8对WordPress影响的文章,从文中可以确认Wordpress目前的版本,不能保证在PHP8中完美运行,特别是众多的主题和插件兼容性更不可预知,即将于2020年12月8日发布的Wordpress 5.6也只是PHP8的过渡版本,所以目前不要尝试在自己的WordPress网站上升级使用PHP8。

下面是机翻。

PHP 8 推出

PHP 8是我们最喜欢的脚本语言的下一个主要更新。虽然以前的 PHP 版本对 WordPress 生态系统没有太大的负面影响,但此更新有一些重大更改可能会影响向后兼容性。还应该注意的是,PHP 7.x 中弃用的许多功能现在将在 PHP 8 中删除。

WordPress 核心的状态

在他的帖子中,德罗西耶斯强调了为使核心软件保持最新而进行的工作。”WordPress Core 的目标是在 5.6 版本中与 PHP 8.0 兼容(目前定于2020年12月8日),”他写道。

但是,这并不意味着在 WordPress 5.6 发布时升级到 PHP 8 是安全的。WordPress 很少只运行自己,通常依赖于至少一个主题和插件集合作为博客或网站。因此,他指出,”PHP 8 在更广泛的生态系统(插件、主题等)中支持的状态是不可能知道的。因此,WordPress 5.6 应被视为与 PHP 8 的”测试版兼容“。

这意味着,本质上,在大多数主要的主题和插件是PHP 8兼容之前,WordPress不能被认为是完全兼容的。

了解 PHP 8 如何影响您的插件或主题

像Yoast这样的公司已经为此准备了一段时间了。10月下旬,Yoast CTO Omar Reis与同行的撰稿人朱丽叶·林德斯·福尔默(Juliette Reinders Folmer)一起,为PHPCS编写了WordPress编码标准嗅探器的维护者,Yoast DevOps经理ErreGroen,编制并发表了一份全面的WordPress/PHP 8兼容性报告。

虽然我强烈建议你花时间通读整个报告,但它确实概述了PHP 8升级对大型WordPress网站,尤其是插件和主题生态系统产生如此巨大影响的主要原因。

但是,PHP 7.* 版本看到的弃用量比以前版本的 PHP 大得多。PHP 5.6 到 PHP 7 是一个相对简单的迁移,从 7.x 到 8 可能会非常痛苦,尤其是对于非常古老的代码库,如 WordPress 和许多可用的插件。对于类型良好的代码库或代码库,它们一直保持最新的 PHP 版本,因此没有问题。

作为一些插件的维护者,一些插件建立在八年前的代码之上,令人担忧的是,这种升级可能会导致网站中断。

如何做好准备

我问里斯和福尔默插件和主题开发人员可以做什么来准备, 他们分享了一些指针。

首先,开发人员应该告知自己 PHP 8 中的变化:阅读有关PHP 8的 Make 帖子,阅读Yoast PHP8 兼容性报告,阅读PHP 手册中的”从 PHP 7.4 迁移到 PHP 8.0″部分,并可能通过阅读PHP 8分支中的升级文档和 PHP 8 的RFC来更深入地挖掘。

一些可用的工具可用于帮助查找不兼容:

  • 通过命令(确保遍数所有文件)或使用PHP并行林特在PHP8上运行PHP绒板。php -l
  • 在代码上运行 PHP兼容:应该注意,几乎所有 PHP 8 相关嗅觉都位于 PHP 兼容版本 10.0.0 的尚未发布版本中,因此人们需要使用分支或通过 Composer 进行当前操作,直到版本 10.0.0 发布。developdev-develop
  • 在 PHP 8 上为插件或主题运行单元/集成测试,并修复任何出现错误的问题。这通常意味着测试套件首先需要与 PHPUnit 9.3+ 兼容。PHPUnit Polyfills 包和WP 测试 Utils包(都在 Yoast GitHub 组织下发布)可以帮助实现此目的。同样重要的是要注意,要使这种测试具有可靠的性能,需要有相当大的测试覆盖率。
  • 运行 WordPress单元测试和WordPress e2e测试,激活插件,并修复出现的任何问题。
  • 检查该测试的(严格)代码覆盖率是否足够高,如果没有,请添加更多测试,确保涵盖快乐和不愉快的路径。
  • 如果没有测试,请手动测试所有内容,尤其关注”不愉快路径”,并期望在可预见的将来收到 bug 报告。同时,这可能是研究为插件或主题实施单元/集成测试的利向。

还有时间, 但它已经用完了

正如Desrosiers在”制造”帖子中指出的,WordPress只正式的目标是在12月初5.6发布时准备好PHP8。这可能意味着,许多以 WordPress 为重点的托管公司只会考虑在 WordPress 核心兼容后向其客户提供升级。因此,作为插件和主题开发人员,我们有一些时间来测试我们的产品,让他们做好准备,但窗口正在快速关闭。

幸运的是,最新的知识和工具就在那里。我们只需要把它们付诸行动。

版权声明:本文内容来源于互联网资源,由 蓝魅网络 整理汇总,如有侵权请您与我们联系删除!
其他声明:如未标明出处,所有文章均为蓝魅网络原创,转载请务必保留本文链接,感谢您支持。
蓝魅网络 » 关于WordPress 插件、主题与PHP 8的兼容性
  • 售后服务范围 1、商业模板使用范围内问题免费咨询
    2、源码安装、模板安装(一般 ¥50-300)服务答疑仅限会员用户
    3、单价超过200元的模板即可以免费一次安装,需提供服务器信息
    付费增值服务 1、提供dedecms模板、WordPress主题、discuz模板优化等服务请详询在线客服
    2、承接 WordPress、DedeCMS、Discuz 等系统建站、仿站、开发、定制等服务
    3、服务器环境配置安装(一般 ¥50-300)
    4、网站中毒处理(需额外付费,500元/次/质保三个月)
    售后服务时间 周一至周日(法定节假日除外) 9:00-23:00
    免责声明提示 本站所提供的资源仅供学习交流,若使用商业用途,请购买正版授权,否则产生的一切后果将由下载用户自行承担,有部分资源为网上收集或仿制而来,若模板侵犯了您的合法权益,请来信通知我们(Email: [email protected]),我们会及时删除,给您带来的不便,我们深表歉意!

低至 ¥99 元/年 爆款产品限时抢

阿里云*云小站 | 上云优惠聚集地 | 领取限量云产品优惠

立即抢购

快捷登陆, 即可下载,建议使用QQ登录